Skip to main content
`Ctrl`+`K`

# PetscDASetObsErrorVariance

Sets the observation-error variances associated with a `PetscDA`.

## Synopsis

    PetscErrorCode PetscDASetObsErrorVariance(PetscDA da, Vec obs_error_var)

Collective

## Input Parameters

- da - the `PetscDA` context

- obs_error_var - vector containing observation error variances (assumes R is a diagonal matrix)

## Notes

This function creates or updates both the observation error variance vector and the observation error covariance matrix `R`. The matrix `R` is constructed as a diagonal matrix with the variances on the diagonal.

## See Also

PetscDA: Data Assimilation, `PetscDAGetObsErrorVariance()`

## Level

beginner

## Location

src/ml/da/interface/petscda.c

## Examples

src/ml/da/tutorials/ex2.c
src/ml/da/tutorials/ex3.c
src/ml/da/tutorials/ex1.c
src/ml/da/tutorials/ex4.c

Index of all PetscDA routines
Table of Contents for all manual pages
Index of all manual pages